Subject: [Mgs] MG J2

From: Paul Root <[email-masked]>
Date: Tue, 14 May 2013 15:04:43 -0500

Cool little video. Love the J2 pulling up next to the gigantic Rolls.
http://www.autoweek.com/article/20130513/CARNEWS01/130519926?utm_source=Daily
Drive20130514&utm_medium=enewsletter&utm_term=missedarticle3&utm_content=2013
0513-Watch-a-ridiculously-tall-man-extract-himself-from-a-1932-MG-J2&utm_camp
aign=awdailydrive

Sent from my iPad
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]